package fileupload;

import javax.servlet.ServletContext;
import org.ocpsoft.rewrite.annotation.RewriteConfiguration;
import org.ocpsoft.rewrite.config.Configuration;
import org.ocpsoft.rewrite.config.ConfigurationBuilder;
import org.ocpsoft.rewrite.config.Direction;
import org.ocpsoft.rewrite.servlet.config.Forward;
import org.ocpsoft.rewrite.servlet.config.HttpConfigurationProvider;
import org.ocpsoft.rewrite.servlet.config.Path;
import org.ocpsoft.rewrite.servlet.config.Substitute;

/**
 *
 * @author Benjamin Murauer b.murauer@gmail.com
 */
@RewriteConfiguration
public class TestConfigurator extends HttpConfigurationProvider {

    @Override
    public Configuration getConfiguration(ServletContext t) {
        return ConfigurationBuilder.begin()
                .addRule()
                .when(Direction.isInbound().and(Path.matches("/file")))
                .perform(Forward.to("/index.xhtml"))
                // when adding this rule, the upload() method is no longer fired.
                .addRule()
                .when(Direction.isOutbound().and(Path.matches("/index.xhtml")))
                .perform(Substitute.with("/file"));
    }

    @Override
    public int priority() {
        return 10;
    }

}
